<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv='X-UA-Compatible' content='IE=edge'><!-- ie最高兼容 -->
<meta http-equiv='Cache-Control' content='no-siteapp'><!-- 手机app不转码 -->
<meta name='renderer' content='webkit'><!-- 使用急速内核 webkit|ie-comp|ie-stand -->
<meta name='viewport' content='initial-scale=1,width=device-width,maximum-scale=1,user-scalable=no'>
<title></title>
<script src="{pigcms::RES}/js/common.js" type="text/javascript"></script>
<script src="{pigcms::STATICS}/jquery-1.4.2.min.js" type="text/javascript"></script>
<script src="/tpl/static/artDialog/jquery.artDialog.js?skin=default"></script>
<script src="/tpl/static/artDialog/plugins/iframeTools.js"></script>
<script src="/tpl/static/forum/js/zipImg/lrz.bundle.js?v=a1a6749"></script>
<script src="/tpl/static/forum/js/zipImg/zipImg.js"></script>
<link href="{pigcms::RES}/css/style.css" rel="stylesheet" type="text/css" />
<style type="text/css">

</style>
<script src="http://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
<script type="text/javascript">
wx.config({
    debug: false,
    appId: '{pigcms::$signInfo['appId']}',
    timestamp: {pigcms::$signInfo['timestamp']},
    nonceStr: '{pigcms::$signInfo['nonceStr']}',
    signature: '{pigcms::$signInfo['signature']}',
    jsApiList: [
      'checkJsApi',
      'onMenuShareTimeline',
      'onMenuShareAppMessage',
      'onMenuShareQQ',
      'onMenuShareWeibo',
      'onMenuShareQZone',
      'hideMenuItems',
      'showMenuItems',
      'hideAllNonBaseMenuItem',
      'showAllNonBaseMenuItem',
      'translateVoice',
      'startRecord',
      'stopRecord',
      'onRecordEnd',
      'playVoice',
      'pauseVoice',
      'stopVoice',
      'uploadVoice',
      'downloadVoice',
      'chooseImage',
      'previewImage',
      'uploadImage',
      'downloadImage',
      'getNetworkType',
      'openLocation',
      'getLocation',
      'hideOptionMenu',
      'showOptionMenu',
      'closeWindow',
      'scanQRCode',
      'chooseWXPay',
      'openProductSpecificView',
      'addCard',
      'chooseCard',
      'openCard'
    ]
});
function chooseImg(){
	alert('测试多图片上传');
	wx.chooseImage({
	    count: 8, // 默认9
	    sizeType: ['compressed'], // 可以指定是原图还是压缩图，默认二者都有
	    sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
	    success: function (res) {
	        var localIds = res.localIds; // 返回选定照片的本地ID列表，localId可以作为img标签的src属性显示图片
	        console.log('localIds',localIds);
	        $("#outputTxt").html(localIds);
	        uploadImgs(localIds);
	    }
	});
}

function uploadImgs(ids){
	$("#fileCont").empty();
	for(var i=0;i<ids.length;i++){
		console.log('第'+i+'张',ids[i]);
		$("#fileCont").append("<input type='file' name='imgFile[]' style='display:none;' value='"+ids[i]+"' />");
	}
}
</script>
</head>
<body>
<php>if(!isset($error)){</php>
	<form enctype="multipart/form-data" action="" id="thumbForm" method="POST" style="font-size:14px;padding:10px 20px 10px 20px;">
		<div>
			<div style="font-size:14px;">选择本地文件：<br><br>
				<!-- <input type="file" capture=camera accept="image/*" onclick="chooseImg();" style="width:80%;border:1px solid #ddd" name="imgFile[]" id='imgFile' multiple="multiple"/> -->
				<input type="button" onclick="chooseImg();" value='选择文件' style="border:solid 1px grey;border-radius:3px;padding:3px;" />
				<div id='fileCont'></div>
			</div>
			<div id='outputTxt' style="color:red;"></div>
			<div style="padding:20px 0;text-align:center;">
				<input id="submitbtn" name="doSubmit" type="submit" class="btnGreen" value="上传" onclick="this.value='上传中...';" />
			</div>
		</div>
		<input type="hidden" value="" id="width" name="width" />
		<input type="hidden" value="" id="height" name="height" />
	</form>
	<script>
	if (art.dialog.data('width')) {
		document.getElementById('width').value = art.dialog.data('width');// 获取由主页面传递过来的数据
		document.getElementById('height').value = art.dialog.data('height');
	};
	</script>
<php>}else{</php>
	<div style="text-align:center;line-height:140px;font-size:14px;"> <img src="/tpl/User/default/common/images/export.png" align="absmiddle" /> <php>if($error==0){echo '上传成功';}else{echo $msg;}</php> </div>
	<script>
	var domid='portrait';
	var origin = artDialog.open.origin;
	// 返回数据到主页面
	function returnHomepage(imgStr){
		console.log(imgStr);
		var imgArr=JSON.parse(imgStr);
		for(var i=0;i<imgArr.length;i++){
			var j=i+1;
			var id=domid+j;
			var url=imgArr[i];
			
			var dom = origin.document.getElementById(id);
			if(dom){
				dom.value=url;
			}
			
			var domsrcid=id+'_src';
			var domsrc = origin.document.getElementById(domsrcid);
			if(domsrc){
				domsrc.src=url;
				domsrc.className='upImgClass';
			}
		}
		setTimeout("art.dialog.close()", 1500 )
	}
	<php>if($error==0){</php>
	returnHomepage('{pigcms:$msg}');
	<php>}</php>
	</script>
<php>}</php>
</body>
</html>